<?xml version="1.0" encoding="UTF-8"?>
<tables>
  <table name="t_useroption" schema="square" comment="application options of a user">
    <variable name="pk" type="serial" comment="unique id" />
    <variable name="fk_usnr" type="int" comment="reference to user" />
    <variable name="fk_option" type="int" comment="reference to option" />
    <variable name="value" type="text" isnull="true" comment="the concrete value of the user" />
    <primarykey name="pk_useroption" variable="pk" />
    <unique name="uk_useroption" variable="fk_usnr, fk_option" />
    <foreignkey name="fk_useroption_usnr" variable="fk_usnr" references="square.t_person(usnr)" />
    <foreignkey name="fk_useroption_option" variable="fk_option" references="square.t_option(pk)" />
    <grant privilege="select,insert,update,delete" username="interface_square" />
    <grant privilege="select" username="interface_rserver" />
  </table>
</tables>